Skip to main content
`Ctrl`+`K`

# EllipticalFrame

class astropy.visualization.wcsaxes.frame.EllipticalFrame(parent_axes, transform, path=None)

  Bases: `BaseFrame`

  An elliptical frame.

  Attributes Summary

  `spine_names` |

  Methods Summary

  `draw`(renderer) | Override to draw only the outer ellipse, not the major and minor axes in the middle.
  `update_spines`() |

  Attributes Documentation

  spine_names = 'chv'

  Methods Documentation

  draw(renderer)

    Override to draw only the outer ellipse, not the major and minor axes in the middle.

    FIXME: we may want to add a general method to give the user control over which spines are drawn.

  update_spines()